=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2), libkonq5-dev (>= 4:4.11.2),
 libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.2),
 libktorrent-dev (>= 1.1), libmms-dev, libboost1.53-dev,
 kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.11.2),
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: kget-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kget (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for kget
 This package contains debugging files used to investigate problems with
 binaries included in kget
