=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.3), libkonq5-dev (>= 4:4.11.3),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.11.3),
- libktorrent-dev (>= 1.1), libmms-dev, libboost1.53-dev,
- kde-workspace-dev (>= 4:4.11.3), libnepomukwidgets-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.12.3), libkonq5-dev (>= 4:4.12.3),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.12.3),
+ libktorrent-dev (>= 1.1), libmms-dev, libboost1.48-dev,
+ kde-workspace-dev (>= 4:4.11.2), libnepomukwidgets-dev (>= 4:4.12.3),
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kget
 
 Package: kget
 Section: net
