## kget 4.13.0

=== debian/changelog ===
kget (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:02:51 +0100

kget (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:26:28 +0200

kget (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:28:15 +0100

kget (4:4.12.90-0ubuntu2) trusty; urgency=medium

  * Drop libnepomukwidgets-dev from build-depends, obsolete
  * Remove obsolete nepomuk ontologies from kget.install 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Mar 2014 14:13:47 +0100

kget (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:57:17 +0000

kget (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:48:22 +0100
