=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0), libkonq5-dev (>= 4:4.13.0),
- libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.1), libkonq5-dev (>= 4:4.13.1),
+ libsqlite3-dev, libqca2-dev (>= 2.0.0), kdepimlibs5-dev (>= 4:4.13.1),
  libktorrent-dev (>= 1.1), libmms-dev, libboost-dev,
  kde-workspace-dev (>= 4:4.11.2)
 Standards-Version: 3.9.4
