## kget 4.14.0+dfsg

=== debian/changelog ===
kget (4:4.14.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 01:17:50 +0200

kget (4:4.13.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:25:42 +0200

kget (4:4.12.3+dfsg-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:27 +0200

kget (4:4.12.3+dfsg-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:21 +0100

kget (4:4.12.2+dfsg-1) experimental; urgency=low

  [ Pino Toscano ]
  * Add the pkg-config build dependency.
  * Depend on ${perl:Depends} too.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * New patch: disable_kget_test_transfers
  * New patch: disable_kget-verifiertest
  * New upstream release.
  * New patch: kget_testjob_finished_stays
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:32 +0100

kget (4:4.11.3+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 10 Nov 2013 11:02:21 +0100

kget (4:4.11.2+dfsg-1) experimental; urgency=low

  * First release of kdenetwork after being split by upstream.
  * Add debian version mangle to the watch file.
  * Missing + in the copyright file.
  * Update build-dependencies.
  * Add missing debian/source directory.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 14:09:26 +0200
