=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kget
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -12,10 +13,11 @@
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
                kde-workspace-dev (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.11),
+               kdepimlibs5-dev (>= 4:4.14.1),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
+               libkonq5-dev (>= 4:4.14.1),
                libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),
