=== debian/changelog ===
kget (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:50:11 +0200

kget (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy. 
  * Add mootools lintian to override as it is linked in prune:non-free
    in rules file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:53:00 -0700
