=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
+               kde-sc-dev-latest (>= 4:4.11),
                kde-workspace-dev (>= 4:4.11),
-               kdepimlibs5-dev (>= 4:4.14.1),
+               kdepimlibs5-dev (>= 4:4.14.2),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
-               libkonq5-dev (>= 4:4.14.1),
+               libkonq5-dev (>= 4:4.14.2),
                libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),
