=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

prune-nonfree:
	# Remove minified javascripts
	rm -f extensions/webinterface/www/mootools-core-yc.js \
	      extensions/webinterface/www/mootools-more.js
	# Replace them with symlinks
	ln -s /usr/share/javascript/mootools/mootools-core-yc.js \
	      extensions/webinterface/www/mootools-core-yc.js
	ln -s /usr/share/javascript/mootools/mootools-more.js \
	      extensions/webinterface/www/mootools-more.js
