## kget 14.12.3

=== debian/changelog ===
kget (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdepimlibs parent version depend. 
  * New upstream release
  * Fix kdepimlibs version in build depends. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:41:31 -0700

kget (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:11:03 -0800

kget (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:59:13 +0100

kget (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release candidate

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 02 Dec 2014 20:56:27 -0800

kget (4:14.11.95-0ubuntu1) vivid; urgency=medium

  * Initial release for KDE applications 14.12 series 
   - Change maintainer to Debian/Kubuntu
   - Fix Watch file applications locations 
   - Fix VCS for new kde-applications location
   - Remove depend on  kde-workspace-dev which is not available
     in this series.
   - 
  * Debian merge, remaining changes: 
   - Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy.
   - Move prune-nonfree to dh_links as it was not functioning and 
     installing the minified js, triggering lintian.
   - Add not-installed for missing libkgetcore.so - there is
     no -dev package.
   

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 25 Nov 2014 15:26:03 +0000

kget (4:4.14.2-0ubuntu2) vivid; urgency=medium

  * Remove kde-workspace-dev build-dep, no longer in archive

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Nov 2014 16:23:17 +0100

kget (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Change 'MIT/X11 (BSD like) to MIT-X11-BSD-like to make lintian happy. 
  * Add mootools lintian to override as it is linked in prune:non-free
    in rules file. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:53:00 -0700
