=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

override_dh_link:
	# Remove minified javascripts
	rm -f debian/tmp/usr/share/kde4/apps/kget/www/mootools-core-yc.js
	rm -f debian/tmp/usr/share/kde4/apps/kget/www/mootools-more.js
	$(overridden_command)
