## kget 15.08.2

=== debian/changelog ===
kget (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:25:49 +0100

kget (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:51:59 +0100

kget (4:15.08.0-0ubuntu2) wily; urgency=medium

  * Drop unused kdepimlibs5-dev bdep.
  * Remove source lintian override for unsafe symlinks as they have been fixed
    upstream.
  * Resolve lintian warning about incorrectly defined copyright license block

 -- Harald Sitter <sitter@kde.org>  Fri, 28 Aug 2015 07:56:46 +0200

kget (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:25:31 +0100

kget (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:50:34 +0100

kget (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Fix kdepimlibs version 
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:02:37 +0200
