=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),              
-               kdepimlibs5-dev (>= 4:4.14),
+               kde-sc-dev-latest (>= 4:4.12),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,7 +22,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kget.git/
