=== extensions/CMakeLists.txt ===
add_subdirectory(konqueror)
add_subdirectory(webinterface)
