=== debian/changelog ===
kget (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:22:23 -0700

kget (4:15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:43:54 +0100

kget (4:15.12.1-1) experimental; urgency=medium

  * New upstream release (15.12.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:15 +0100

kget (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release
  * Adding lintian overrides

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:53:40 +0000

kget (4:15.08.0+dfsg-1) unstable; urgency=medium

  * New upstream release (15.04.0+dfsg).
  * New upstream release (15.04.2+dfsg).
  * New upstream release (15.08.0+dfsg).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 17:24:17 +0200

kget (4:14.12.3+dfsg-1) experimental; urgency=medium

  * New upstream release (14.12.3+dfsg).
  * New patch: minified_file

 -- Maximiliano Curia <maxy@debian.org>  Sun, 29 Mar 2015 15:13:11 +0200

kget (4:14.12.2+dfsg-1) experimental; urgency=medium

  * New upstream release (14.12.2+dfsg).

  [ Scarlett Clark ]
  * Add back kdepimlibs parent version depend.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 12:57:45 +0100
