=== debian/control ===
--- 
+++ 
@@ -8,9 +8,11 @@
            George Kiagiadakis <kiagiadakis.george@gmail.com>,
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake,
+Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
+               kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,10 +25,9 @@
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kget.git/
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kget.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/kget.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/kget.git
 
 Package: kget
 Section: net
